Skip to main content
GET
List shard configuration profiles for a Neki branch

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Response

Returns shard configuration profiles for the branch

id
string
required

The ID of the shard configuration profile

name
string
required

The name of the shard configuration profile

architecture
string
required

The architecture of the cluster size SKU

cluster_size
string
required

The name of the cluster size SKU

cluster_display_name
string
required

The display name of the cluster size SKU

default
boolean
required

Whether this is the default shard configuration profile

metal
boolean
required

Whether shards using this configuration profile use metal instances

replicas
integer
required

The number of replicas for shards using this configuration profile

postgres_image_version
string
required

The PostgreSQL image used by the shard configuration profile

latest_postgres_image_version
string
required

The latest PostgreSQL image available to the shard configuration profile

postgres_major_version
integer
required

The PostgreSQL major version used by the shard configuration profile

postgres_minor_version
integer
required

The PostgreSQL minor version used by the shard configuration profile

latest_postgres_minor_version
integer
required

The latest PostgreSQL minor version available to the shard configuration profile

shards
integer
required

The number of shards using this configuration profile

storage
object
required
state
enum<string>
required

The current state of the shard configuration profile

Available options:
draft,
pending,
applying,
ready
created_at
string
required

When the shard configuration profile was created

updated_at
string
required

When the shard configuration profile was last updated